/* vim: set sw=8 ts=8 si et: */
#ifndef COMMONHEAD
#define COMMONHEAD 1
#include <stdint.h>

#define MAXKEYBYTES 56          /* 448 bits */
/* This string can be read by the Unix program "what" */
#define VERINFO "@(#)Version: 1.6"

#define UWORD_32bits  uint32_t
#define UWORD_16bits  uint16_t
#define UBYTE_08bits  uint8_t

union twoword{
        /*one round handels 64 bits*/
        UWORD_32bits w[2];
        UBYTE_08bits b[8];
};

/*---------------------------------------*/
extern char *mygetpass(char *prompt);

extern void do_encipher(UBYTE_08bits *blockof64bit);
extern void do_decipher(UBYTE_08bits *blockof64bit);
extern int Initializekey(unsigned char *key, int keybytes);
extern int cipher_cleanup();

#endif  /* COMMONHEAD */
